### Target-specific definitions for compiling Maria -*- makefile -*-
### SunOS 5.x (Solaris) and GNU Compiler Collection (2.95.x and 3.0.x)

## The GNU Readline library (if enabled, check also the directories)
HAS_READLINE = yes
#HAS_READLINE =
LIBREADLINE = $(HAS_READLINE:yes=-L/usr/local/lib -lreadline -ltermcap)
INCREADLINE = $(HAS_READLINE:yes=-I/usr/local/include -DHAS_READLINE)

## Support for compiled expressions
EXPR_COMPILE = yes
#EXPR_COMPILE =

CXX = g++
CC = gcc
EXTRA_INCLUDES =
EXTRA_LIBS = -ldl -lnsl -lsocket
DEFINES = -DHAS_REGEX
CFLAGS = -Wall -pedantic -O3
CXXFLAGS = $(CFLAGS) -Iport -fno-exceptions -fno-rtti

## The following is for Sun WorkShop 6 update 2 C 5.3 2001/05/15
# CXX = CC
# CC = cc
# DEFINES = -DHAS_REGEX -D__EXTENSIONS__
# CFLAGS = -fast -xtarget=native64
# CXXFLAGS = $(CFLAGS) -Iport -features=no%except
# LDFLAGS = -Qoption ld -64 -xarch=v9 -M /usr/lib/ld/sparcv9/map.above4G

all: real-all

include Makefile
